### File

`packages/eui/packages/components-next/src/lib/components/eui-input-checkbox/eui-input-checkbox.component.ts`

### Extends

`InputDirective`

### Implements

`OnInit` `DoCheck` `OnChanges` `OnDestroy` `ControlValueAccessor`

### Metadata

encapsulation | `ViewEncapsulation.None`
selector | `input[euiInputCheckBox]`
styleUrls | `./styles/_index.scss`

### Index

###### Methods

- registerOnChange
- registerOnTouched
- Optional setDisabledState
- writeValue

###### Inputs

- checked
- id
- isInvalid
- label
- styleClass

###### HostBindings

- attr.type
- class

###### HostListeners

- change

###### Accessors

- isInvalid
- checked
- id

### Constructor

`constructor(ngControl: NgControl, _elementRef: ElementRef<HTMLInputElement>, _renderer: Renderer2, _cd: ChangeDetectorRef, viewContainerRef: ViewContainerRef, resolver: ComponentFactoryResolver)`

Parameters :

Name | Type | Optional
ngControl | `NgControl` | No
_elementRef | `ElementRef<HTMLInputElement>` | No
_renderer | `Renderer2` | No
_cd | `ChangeDetectorRef` | No
viewContainerRef | `ViewContainerRef` | No
resolver | `ComponentFactoryResolver` | No

### Inputs

checked
Type : `any`

id
Type : `string`

isInvalid

label
Type : `string`

styleClass
Type : `string`

### HostBindings

attr.type
Type : `string`
Default value : `'checkbox'`

class
Type : `any`

### HostListeners

change
Arguments : `'$event.target.checked'`
`change(checked)`

### Methods

registerOnChange
`registerOnChange(fn: any)`

Parameters :

Name | Type | Optional
fn | `any` | No

Returns : `void`

registerOnTouched
`registerOnTouched(fn: any)`

Parameters :

Name | Type | Optional
fn | `any` | No

Returns : `void`

Optional setDisabledState
`setDisabledState(isDisabled: boolean)`

Parameters :

Name | Type | Optional
isDisabled | `boolean` | No

Returns : `void`

writeValue
`writeValue(obj: boolean)`

Parameters :

Name | Type | Optional
obj | `boolean` | No

Returns : `void`

### Accessors

isInvalid
set `isInvalid(state: any)`

Parameters :

Name | Type | Optional
state | `any` | No

Returns : `void`

checked
set `checked(value: any)`

Parameters :

Name | Type | Optional
value | `any` | No

Returns : `void`

id
set `id(value)`

Parameters :

Name | Optional
value | No

Returns : `void`

# result-matching ""

# No results matching ""